diff -bwcr wais-8-b5/ir/irtfiles.c w8b5bio/ir/irtfiles.c
*** wais-8-b5/ir/irtfiles.c	Wed May  6 19:31:33 1992
--- w8b5bio/ir/irtfiles.c	Sun Nov  8 19:21:43 1992
***************
*** 58,63 ****
--- 58,65 ----
  #include "irfiles.h"
  #include "irtfiles.h"
  
+ #include "ircfiles.h"   /* dgg, need for genbank_header_function test */
+ 
  #ifndef THINK_C
  #include <sys/types.h>
  #include <sys/stat.h>
***************
*** 220,225 ****
--- 222,228 ----
  #endif /* def NOTUSED */
  
  
+ 
  /* MAPPING A FUNCTION OVER WORDS (QUICKLY) */
  
  
***************
*** 246,251 ****
--- 249,257 ----
    return(0);
  }
  
+ 
+ 
+   
  /* returns the number of words added, or -1 if an error occurred */
  long map_over_words(line,
  		    document_id,
***************
*** 255,261 ****
  		    newline_terminated,
  		    db,
  		    wordfunction,
! 		    word_position, word_pairs)
  char* line;
  long document_id;
  long weight;
--- 261,268 ----
  		    newline_terminated,
  		    db,
  		    wordfunction,
! 		    word_position, word_pairs,
! 		    minwordlen)	/* dgg */
  char* line;
  long document_id;
  long weight;
***************
*** 265,270 ****
--- 272,278 ----
  database* db;
  wordfunc *wordfunction;
  boolean word_position, word_pairs;
+ int	minwordlen;
  {
    /* Add words to the index if it should be done. 
     * Returns the number of words added.
***************
*** 277,290 ****
  
    long position_in_word = 0;
    long word_count = 0;
-   char word[MAX_WORD_LENGTH + 1];
    unsigned long ch;
    long char_count = 0;
    boolean capitalized = false; /* if the word starts with a cap */
  
    for(ch = (unsigned char)line[char_count++]; 
        ch != '\0'; ch = (unsigned char)line[char_count++]){
      boolean alnum = isalnum(ch);
      if(alnum){
        /* put the character in the word if not too long */
        if(position_in_word == 0)
--- 285,304 ----
  
    long position_in_word = 0;
    long word_count = 0;
    unsigned long ch;
    long char_count = 0;
    boolean capitalized = false; /* if the word starts with a cap */
+   char word[MAX_WORD_LENGTH + 1];
  
+ 
    for(ch = (unsigned char)line[char_count++]; 
        ch != '\0'; ch = (unsigned char)line[char_count++]){
+ #ifdef BIO
+     boolean alnum = (wordDelimiter(ch) == NOT_DELIMITER);
+ #else
      boolean alnum = isalnum(ch);
+ #endif
+ 
      if(alnum){
        /* put the character in the word if not too long */
        if(position_in_word == 0)
***************
*** 296,306 ****
      else{ /* not an in a word */
        if(position_in_word != 0){
  	/* then we have collected a word */
! 	if(position_in_word > 1){ /* is it reasonable ? */
  	  word[position_in_word] = '\0';
  	  if(0 !=
  	     (*wordfunction)(word,
  			     file_position_before_line + char_count, 
  			     0L, /* line_pos */
  			     weight, 
  			     document_id, 
--- 310,321 ----
      else{ /* not an in a word */
        if(position_in_word != 0){
  	/* then we have collected a word */
! 	if(position_in_word >= minwordlen){ /* is it reasonable ? */
  	  word[position_in_word] = '\0';
  	  if(0 !=
  	     (*wordfunction)(word,
  			     file_position_before_line + char_count,  
+ 			     /*^^ dgg, this param is supposed to be start-of-word, but char_count is now at end-of-word !*/
  			     0L, /* line_pos */
  			     weight, 
  			     document_id, 
***************
*** 317,323 ****
      }
    }
    /* finish last word */
!   if(position_in_word > 1){ /* is it reasonable ? */
      word[position_in_word] = '\0';
      if(0 != (*wordfunction)(word,
  			    file_position_before_line + char_count, 
--- 332,338 ----
      }
    }
    /* finish last word */
!   if(position_in_word >= minwordlen){ /* is it reasonable ? */
      word[position_in_word] = '\0';
      if(0 != (*wordfunction)(word,
  			    file_position_before_line + char_count, 
***************
*** 353,359 ****
  static long add_words_if_appropriate 
    _AP((char* line,long document_id,long weight,long file_position_before_line,
         long* line_length,boolean* newline_terminated,database* db,
!        boolean word_position, boolean word_pairs));
  
  static long 
  add_words_if_appropriate(line,
--- 368,375 ----
  static long add_words_if_appropriate 
    _AP((char* line,long document_id,long weight,long file_position_before_line,
         long* line_length,boolean* newline_terminated,database* db,
!        boolean word_position, boolean word_pairs,
!        int minwordlen));
  
  static long 
  add_words_if_appropriate(line,
***************
*** 363,369 ****
  			 line_length,
  			 newline_terminated,
  			 db, 
! 			 word_position, word_pairs)
  char* line;
  long document_id;
  long weight;
--- 379,386 ----
  			 line_length,
  			 newline_terminated,
  			 db, 
! 			 word_position, word_pairs,
! 			 minwordlen)	/* dgg */
  char* line;
  long document_id;
  long weight;
***************
*** 372,377 ****
--- 389,395 ----
  boolean *newline_terminated;
  database* db;
  boolean word_position, word_pairs;
+ int  minwordlen;
  {
    /* Add words to the index if it should be done. 
     * Returns the number of words added.
***************
*** 391,397 ****
--- 409,419 ----
  
    for(ch = (unsigned char)line[char_count++]; 
        ch != '\0'; ch = (unsigned char)line[char_count++]){
+ #ifdef BIO
+     boolean alnum = (wordDelimiter(ch) == NOT_DELIMITER);
+ #else
      boolean alnum = isalnum(ch);
+ #endif
      if(alnum){
        /* put the character in the word if not too long */
        if(position_in_word == 0)
***************
*** 403,409 ****
      else{ /* not an in a word */
        if(position_in_word != 0){
  	/* then we have collected a word */
! 	if(position_in_word > 1){ /* is it reasonable ? */
  	  word[position_in_word] = '\0';
  	  add_word_before_pairs(word,
  				file_position_before_line + char_count, 
--- 425,431 ----
      else{ /* not an in a word */
        if(position_in_word != 0){
  	/* then we have collected a word */
! 	if(position_in_word >= minwordlen){ /* is it reasonable ? */
  	  word[position_in_word] = '\0';
  	  add_word_before_pairs(word,
  				file_position_before_line + char_count, 
***************
*** 421,427 ****
      }
    }
    /* finish last word */
!   if(position_in_word > 1){ /* is it reasonable ? */
      word[position_in_word] = '\0';
      add_word(word,
  	     file_position_before_line + char_count, 
--- 443,449 ----
      }
    }
    /* finish last word */
!   if(position_in_word >= minwordlen){ /* is it reasonable ? */
      word[position_in_word] = '\0';
      add_word(word,
  	     file_position_before_line + char_count, 
***************
*** 468,483 ****
  #define iterations_to_reorder 50 /* 1 is best but slow */
  
  static void finish_document
!   _AP((char* header,char* line,long document_id,
         document_table_entry* the_document_table_entry,
         long file_position_before_line,
         long file_position_before_document,database* db,
!        boolean word_position, boolean word_pairs));
  
  static void
! finish_document(header,line,document_id,the_document_table_entry,
  		file_position_before_line, file_position_before_document,
! 		db, word_position, word_pairs)
  char* header;
  char* line;
  long document_id;
--- 490,508 ----
  #define iterations_to_reorder 50 /* 1 is best but slow */
  
  static void finish_document
!   _AP((boolean recountHeader, char* header,char* line,long document_id,
         document_table_entry* the_document_table_entry,
         long file_position_before_line,
         long file_position_before_document,database* db,
!        boolean word_position, boolean word_pairs,
!        int minwordlen));
  
  static void
! finish_document(recountHeader, header,line,document_id,the_document_table_entry,
  		file_position_before_line, file_position_before_document,
! 		db, word_position, word_pairs,
! 		minwordlen)
! boolean recountHeader;
  char* header;
  char* line;
  long document_id;
***************
*** 488,494 ****
  boolean word_position, word_pairs;
  { long line_length;
    boolean newline_terminated;
!   if(0 != strlen(header)){
      /* add weights for the header (if there was one) */
      long number_of_words =
        map_over_words(header, document_id, 
--- 513,519 ----
  boolean word_position, word_pairs;
  { long line_length;
    boolean newline_terminated;
!   if(0 != strlen(header) && recountHeader){
      /* add weights for the header (if there was one) */
      long number_of_words =
        map_over_words(header, document_id, 
***************
*** 499,505 ****
  		     &newline_terminated,
  		     db,
  		     add_word_before_pairs,
! 		     word_position, word_pairs);
      if(number_of_words == -1)
        waislog(WLOG_HIGH, WLOG_ERROR, "map_over_words failed");
      db->total_word_count += number_of_words;
--- 524,531 ----
  		     &newline_terminated,
  		     db,
  		     add_word_before_pairs,
! 		     word_position, word_pairs,
! 		     minwordlen);
      if(number_of_words == -1)
        waislog(WLOG_HIGH, WLOG_ERROR, "map_over_words failed");
      db->total_word_count += number_of_words;
***************
*** 615,621 ****
  
  #define LENGTH_OF_NEWLINE 1 /* this will be 2 on a PC, I think */  
  
! void index_text_file(filename,
  		     separator_function,
  		     header_function,
  		     date_function,
--- 641,647 ----
  
  #define LENGTH_OF_NEWLINE 1 /* this will be 2 on a PC, I think */  
  
! /* void index_text_file(filename,
  		     separator_function,
  		     header_function,
  		     date_function,
***************
*** 624,636 ****
--- 650,670 ----
  		     db,
  		     check_for_text_file,
  		     check_for_file_already_indexed,
+ 		     word_position, word_pairs, minwordlen) */
+ 
+ void index_text_file(filename, dataops, db,
+ 		     check_for_text_file,
+ 		     check_for_file_already_indexed,
  		     word_position, word_pairs)	 
  char* filename;
+ dataopsrec* dataops;
+ /*
  boolfunc *separator_function;
  voidfunc *header_function;
  longfunc *date_function;
  voidfunc *finish_header_function;
  char *type;
+ */
  database* db;
  boolean check_for_text_file;
  boolean check_for_file_already_indexed;
***************
*** 667,672 ****
--- 701,707 ----
    long file_position_before_document = 0;
    long date;
  
+   
    if(NULL == input_stream){
      waislog(WLOG_HIGH, WLOG_ERROR, 
  	    "File %s does not exist", filename);
***************
*** 677,683 ****
      time_t time;
      char full_path[MAX_FILENAME_LEN];
      truename(filename, full_path);
!     if(true == filename_in_database(full_path, type, &time, db)){
        /* check that it is the same time as this file */
        if(time == file_write_date(filename)){
  	waislog(WLOG_HIGH, WLOG_INDEX, 
--- 712,718 ----
      time_t time;
      char full_path[MAX_FILENAME_LEN];
      truename(filename, full_path);
!     if(true == filename_in_database(full_path, dataops->type, &time, db)){
        /* check that it is the same time as this file */
        if(time == file_write_date(filename)){
  	waislog(WLOG_HIGH, WLOG_INDEX, 
***************
*** 712,718 ****
    }
    
    /* write out the filename */
!   filename_id = write_filename_table_entry(filename, type, db);
    
    /*  (if (not *drop_table*) (make_drop_table)) maybe put in later */
    
--- 747,753 ----
    }
    
    /* write out the filename */
!   filename_id = write_filename_table_entry(filename, dataops->type, db);
    
    /*  (if (not *drop_table*) (make_drop_table)) maybe put in later */
    
***************
*** 743,756 ****
  
      header[0] = '\0';		/* set it to the empty string */
      if(eof ||
!        ((NULL != separator_function) &&
! 	separator_function(line))){
    
        /* we are processing a separator, therefore we should
         * finish off the last document, and start a new one
         */
!       if(NULL != finish_header_function){
! 	finish_header_function(header);
        }
        if(0 == strlen(header)){
  	char full_path[1000];
--- 778,790 ----
  
      header[0] = '\0';		/* set it to the empty string */
      if(eof ||
!        ((NULL != dataops->separator_function) && dataops->separator_function(line))){
   
        /* we are processing a separator, therefore we should
         * finish off the last document, and start a new one
         */
!       if(NULL != dataops->finish_header_function){
! 	dataops->finish_header_function(header);
        }
        if(0 == strlen(header)){
  	char full_path[1000];
***************
*** 761,772 ****
        }
        the_document_table_entry.number_of_lines--; /* dont count separator */
        /* finish off the last */
!       finish_document(header, line, document_id,
  		      &the_document_table_entry,
  		      eof?	/* if EOF, use file length */
  		      file_length(input_stream):file_position_before_line, 
  		      file_position_before_document,
! 		      db, word_position, word_pairs);
        /* initialize the next one */
        the_document_table_entry.filename_id = filename_id;
        the_document_table_entry.start_character = file_position_before_line;
--- 795,808 ----
        }
        the_document_table_entry.number_of_lines--; /* dont count separator */
        /* finish off the last */
!       finish_document( dataops->extraheaderweight,
! 		      header, line, document_id,
  		      &the_document_table_entry,
  		      eof?	/* if EOF, use file length */
  		      file_length(input_stream):file_position_before_line, 
  		      file_position_before_document,
! 		      db, word_position, word_pairs,
! 		      dataops->minwordlen);
        /* initialize the next one */
        the_document_table_entry.filename_id = filename_id;
        the_document_table_entry.start_character = file_position_before_line;
***************
*** 778,792 ****
  
        if(!eof)
  	{			/* not EOF */
! 	  if(NULL != header_function){
! 	    header_function(line);
  	  }
! 	  if (date_function != NULL && 
! 	      (date = date_function(line)) > 0)
  	    the_document_table_entry.date = date;
  	  line_length = strlen(line);
  	  newline_terminated = true;
  	}
        else{			/* EOF */
  	/* printf("closing the file\n"); */
  	s_fclose(input_stream);
--- 814,847 ----
  
        if(!eof)
  	{			/* not EOF */
!          if(NULL != dataops->header_function){
!             dataops->header_function(line);
            }
! 	 if (dataops->date_function != NULL &&
!               (date = dataops->date_function(line)) > 0)
              the_document_table_entry.date = date;
+ 	 /* dgg -- don't know where this goes. */
+ 
+          if (dataops->addseparatorwords) { /* dgg */
+               long number_of_words;
+           number_of_words = map_over_words(line, document_id, dataops->repeat_weight,
+                                          file_position_before_line -
+                                          file_position_before_document,
+                                          &line_length,
+                                          &newline_terminated,
+                                          db,
+                                          add_word_before_pairs,
+                                          word_position, word_pairs,
+ 					 dataops->minwordlen);
+           the_document_table_entry.document_length += number_of_words;
+           len_of_files_since_last_delete += number_of_words;
+           len_of_files_since_last_flush += number_of_words;
+ 	}
+ 	else {
  	  line_length = strlen(line);
  	  newline_terminated = true;
  	  }
+ 	}
        else{			/* EOF */
  	/* printf("closing the file\n"); */
  	s_fclose(input_stream);
***************
*** 797,812 ****
      else{		       
        /* not a separator or EOF so process the line */
        long number_of_words;
!       if(NULL != header_function) header_function(line);
!       if (date_function != NULL && 
  	  the_document_table_entry.date == 0 &&
! 	       (date = date_function(line)) > 0) 
  	the_document_table_entry.date = date;
  
  
        if(index_contents ) {
          if( _indexable_section) {
! 	  number_of_words = map_over_words(line, document_id, 1L, 
  					 file_position_before_line -
  					 file_position_before_document,
  					 &line_length, 
--- 852,867 ----
      else{		       
        /* not a separator or EOF so process the line */
        long number_of_words;
!       if (dataops->date_function != NULL && 
  	  the_document_table_entry.date == 0 &&
! 	       (date = dataops->date_function(line)) > 0) 
  	the_document_table_entry.date = date;
  
+       if(NULL != dataops->header_function) dataops->header_function(line);
  
        if(index_contents ) {
          if( _indexable_section) {
! 	  number_of_words = map_over_words(line, document_id, dataops->repeat_weight, 
  					 file_position_before_line -
  					 file_position_before_document,
  					 &line_length, 
***************
*** 813,819 ****
  					 &newline_terminated,
  					 db,	
  					 add_word_before_pairs,
! 					 word_position, word_pairs);
  	  if(number_of_words == -1)
  	    waislog(WLOG_HIGH, WLOG_ERROR, "map_over_words failed");
  	  the_document_table_entry.document_length += number_of_words;
--- 868,875 ----
  					 &newline_terminated,
  					 db,	
  					 add_word_before_pairs,
! 					 word_position, word_pairs,
! 					 dataops->minwordlen);
  	  if(number_of_words == -1)
  	    waislog(WLOG_HIGH, WLOG_ERROR, "map_over_words failed");
  	  the_document_table_entry.document_length += number_of_words;
***************
*** 884,905 ****
  /* recursively indexes the directory specified. 
   * If it is a file, then index it. 
   */
! void index_directory(file,
! 		     separator_function,
! 		     header_function,
! 		     date_function,
! 		     finish_header_function, 
! 		     type,
! 		     db,
  		     check_for_text_file,
  		     check_for_file_already_indexed,
  		     word_position, word_pairs)
  char *file;
! boolfunc *separator_function;
! voidfunc *header_function;
! longfunc *date_function;
! voidfunc *finish_header_function;
! char *type;
  database* db;
  boolean check_for_text_file;
  boolean check_for_file_already_indexed;
--- 940,951 ----
  /* recursively indexes the directory specified. 
   * If it is a file, then index it. 
   */
! void index_directory(file, dataops,  db,
  		     check_for_text_file,
  		     check_for_file_already_indexed,
  		     word_position, word_pairs)
  char *file;
! dataopsrec*  dataops;
  database* db;
  boolean check_for_text_file;
  boolean check_for_file_already_indexed;
***************
*** 912,923 ****
    if(filep(file)){
      waislog(WLOG_MEDIUM, WLOG_INDEX,
  	    "Indexing file: %s",  file);
!     index_text_file(file, separator_function,
! 		    header_function, 
! 		    date_function,
! 		    finish_header_function,
! 		    type,
! 		    db,
  		    check_for_text_file,
  		    check_for_file_already_indexed,
  		    word_position, word_pairs);
--- 958,964 ----
    if(filep(file)){
      waislog(WLOG_MEDIUM, WLOG_INDEX,
  	    "Indexing file: %s",  file);
!     index_text_file(file, dataops, db,
  		    check_for_text_file,
  		    check_for_file_already_indexed,
  		    word_position, word_pairs);
***************
*** 937,948 ****
        strcpy(name, file);	/* copy the filename into the name variable */
        strcat(name, "/");
        strcat(name, list[j]->d_name);
!       index_directory(name, separator_function,
! 		      header_function, 
! 		      date_function,
! 		      finish_header_function,
! 		      type,
! 		      db,
  		      check_for_text_file,
  		      check_for_file_already_indexed, 
  		      word_position, word_pairs);
--- 978,984 ----
        strcpy(name, file);	/* copy the filename into the name variable */
        strcat(name, "/");
        strcat(name, list[j]->d_name);
!       index_directory(name, dataops, db,
  		      check_for_text_file,
  		      check_for_file_already_indexed, 
  		      word_position, word_pairs);
diff -bwcr wais-8-b5/ir/irtfiles.h w8b5bio/ir/irtfiles.h
*** wais-8-b5/ir/irtfiles.h	Wed May  6 19:32:15 1992
--- w8b5bio/ir/irtfiles.h	Sun Nov  8 19:22:11 1992
***************
*** 19,24 ****
--- 19,27 ----
  	{
  #endif /* def __cplusplus */
  
+ #define kWordBreakNonAlnum	0
+ #define	kWordBreakSpace			1
+ 
  typedef boolean (boolfunc)();
  typedef void (voidfunc)();
  typedef long (longfunc)();
***************
*** 25,30 ****
--- 28,50 ----
  
  char *make_joint_word _AP((char *word1, char *word2));
  
+ typedef struct {	/* dgg, use this instead of a dozen parameters in several funcs */
+ 		boolean (*separator_function)();
+ 		void (*header_function)();
+ 		long (*date_function)();
+ 		void (*finish_header_function)(); 
+ 		boolean (*wordDelimiter)();  	/* ? use global wordDelimiter ? */
+ 		char *type;			/* TEXT, PICT, ... */
+ 		boolean addseparatorwords; 	/* add words in line separating documents */
+ 		boolean extraheaderweight; 	/* add header weight */
+ 		int repeat_weight; 		/* 0 for max of 1 word hit per doc */
+ 		int minwordlen;			/* 2= default, 1=symbols */
+ 		char *delimiters;
+ 		} dataopsrec, *dataopsptr;
+ 
+ boolean (*wordDelimiter)();   /* global word break func, dgg */
+ 
+ 
  typedef long (wordfunc) _AP((char *word, long char_pos,
  			     long line_pos, long weight,
  			     long doc_id, time_t date,
***************
*** 34,42 ****
  long map_over_words
    _AP((char* line,long document_id,long weight,long file_position_before_line,
         long* line_length,boolean* newline_terminated,database* db,
!        wordfunc wordfunction, boolean word_position, boolean word_pairs));
  
  void index_text_file _AP((char* filename,
  			  boolean (*separator_function)(),
  			  void (*header_function)(),
  			  longfunc *date_function,
--- 54,70 ----
  long map_over_words
    _AP((char* line,long document_id,long weight,long file_position_before_line,
         long* line_length,boolean* newline_terminated,database* db,
!        wordfunc wordfunction, boolean word_position, boolean word_pairs,
! 			 int minwordlen));
  
  void index_text_file _AP((char* filename,
+ 			  dataopsrec* dataops,
+ 			  database* db,
+ 			  boolean check_for_text_file,
+ 			  boolean check_for_file_already_indexed,
+ 			  boolean word_position, boolean word_pairs));
+ 				
+ /* void index_text_file _AP((char* filename,
  			  boolean (*separator_function)(),
  			  void (*header_function)(),
  			  longfunc *date_function,
***************
*** 45,51 ****
  			  database* db,
  			  boolean check_for_text_file,
  			  boolean check_for_file_already_indexed,
! 			  boolean word_position, boolean word_pairs));
  
  boolean directoryp _AP ((char *file));
  
--- 73,80 ----
  			  database* db,
  			  boolean check_for_text_file,
  			  boolean check_for_file_already_indexed,
! 			  boolean word_position, boolean word_pairs,
! 				int minwordlen));  */
  
  boolean directoryp _AP ((char *file));
  
***************
*** 52,57 ****
--- 81,93 ----
  boolean filep _AP((char* file));
  
  void index_directory _AP ((char *file,
+ 		 	   dataopsrec* dataops,			  
+ 			   database *db,
+ 			   boolean check_for_text_file,
+ 			   boolean check_for_file_already_indexed,
+ 			   boolean word_position, boolean word_pairs));
+ 
+ /* void index_directory _AP ((char *file,
  			   boolfunc *separator_function,
  			   voidfunc *header_function,
  			   longfunc *date_function,
***************
*** 60,66 ****
  			   database *db,
  			   boolean check_for_text_file,
  			   boolean check_for_file_already_indexed,
! 			   boolean word_position, boolean word_pairs));
  
  #ifdef __cplusplus
  	}
--- 96,103 ----
  			   database *db,
  			   boolean check_for_text_file,
  			   boolean check_for_file_already_indexed,
! 			   boolean word_position, boolean word_pairs,
! 				int minwordlen)); */
  
  #ifdef __cplusplus
  	}
Only in w8b5bio/ir: iubuild.c
diff -bwcr wais-8-b5/ir/macbuild.c w8b5bio/ir/macbuild.c
*** wais-8-b5/ir/macbuild.c	Wed Feb 12 16:34:10 1992
--- w8b5bio/ir/macbuild.c	Sun Nov  8 19:23:40 1992
***************
*** 187,195 ****
--- 187,212 ----
    long count;
    SFReply macSFReply;
    Point pos;
+ 	dataopsrec  dataops;
  	
    InitProfile(3000,200);
  
+ /* dgg -- must duplicate mods to irbuild.c */
+   dataops.separator_function= NULL;
+   dataops.header_function= NULL;
+   dataops.date_function= NULL;
+   dataops.finish_header_function= NULL;
+   dataops.type= "TEXT";
+   dataops.wordDelimiter= wordbreak_notalnum;
+   dataops.addseparatorwords= false;
+   dataops.extraheaderweight= true;
+   dataops.repeat_weight= 1;
+   dataops.minwordlen= 2;
+   stop_list_file("\0");
+   gDelimiters[0]= '\0';  
+   wordDelimiter= wordbreak_notalnum;   
+ /* dgg -- end new inits */
+ 	
  _profile = false;
  _trace = false;
  freopen("stdout","w",stdout);
***************
*** 261,270 ****
  			if(!(PBPtr->hFileInfo.ioFlAttrib & 0x10))
  			{
  				printf("Indexing File: %s...\n", filename);
! 				index_text_file(filename, 
! 						NULL, NULL, NULL, 
! 						"TEXT", /* this should be the mac filetype XXX */
! 						db,true, false);
  			}
  			else
  				printf("Directory %s is not indexed\n", filename);
--- 278,284 ----
  			if(!(PBPtr->hFileInfo.ioFlAttrib & 0x10))
  			{
  				printf("Indexing File: %s...\n", filename);
! 				index_text_file(filename, &dataops, db,true, false);
  			}
  			else
  				printf("Directory %s is not indexed\n", filename);
